org.apache.hc.client5.http.cookie

## Interface CookieAttributeHandler

- All Known Subinterfaces:
    CommonCookieAttributeHandler
  All Known Implementing Classes:
    AbstractCookieAttributeHandler, BasicDomainHandler, BasicExpiresHandler, BasicHttpOnlyHandler, BasicMaxAgeHandler, BasicPathHandler, BasicSecureHandler, LaxExpiresHandler, LaxMaxAgeHandler, PublicSuffixDomainFilter

      @Contract(threading=STATELESS)
      public interface CookieAttributeHandler

  This interface represents a cookie attribute handler responsible for parsing, validating, and matching a specific cookie attribute, such as path, domain, port, etc.

  Different cookie specifications can provide a specific implementation for this class based on their cookie handling rules.

  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Performs cookie validation for the given attribute value.

- - ### Method Detail

    - #### parse

          void parse(SetCookie cookie,
                     String value)
              throws MalformedCookieException

      Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException` - if cookie parsing fails for this attribute

    - #### validate

          void validate(Cookie cookie,
                        CookieOrigin origin)
                 throws MalformedCookieException

      Performs cookie validation for the given attribute value.
      Parameters:
        `cookie` - `Cookie` to validate
        `origin` - the cookie source to validate against
      Throws:
        `MalformedCookieException` - if cookie validation fails for this attribute

    - #### match

          boolean match(Cookie cookie,
                        CookieOrigin origin)

      Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.